package com.chinacreator.video.bean;

import lombok.Data;

public class  OrderInfo {

	private String cpid;
	private String spid;
	private String orderid;	//(订单ID，由渠道接入方提供);
	private String reorderid; //优酷后向退订时要传之前的订购id
	private String channel;
	private String type; //0 订购   1退订
	private String timestamp;
	private String userid;
	private String signature;
	private String token;
	private String access;
	private String activetype; //(活动表示。宽带分配); 
	private String usertype; //(赠送会员的账户类型,1为qq号,2微信号  );
	private String userval; //(会员的账户,如果usertype=1 那么userval=用户的qq号码,如果usertype=2 那么userval=用户的微信号)
	private String seqnumber; //短信订购使用
	private String status;
	private String ordertime;
	private String endtime;
	private String enuserid; //加密手机号码	
	private String province;
	private String area;
	private String mutex; 
	private String city;
	private Object data;
	private String needRoute;
	private String id;
	private String canceltime;
	private String effecttime;
	private String orderchannel;
	private String cancelchannel;
	private int ordertype = 0;
	private String orderstatus;
	private String videoid;
	private String videoname;
	private String apptype;
	private int isexperience = 0;
	private String productid;
	private String showstatus = "";
	private String payuserid;
	private boolean canadd;
	private int paytype;
	private String relationSp;
	private int cachesucceed = 1;
	private int errorhandle;
	private String times;
	private String subchannel; //拓维后向渠道标识
	
	private String invokeface; //调接口名称，用于权限验证

	//20210702
	private String verifymonth;//核销月份
	private String verifyres;//核销结果

	private String smsdata;
	private String imgdata;

	private String vcode;  //华为:短信验证码
	
	private String opertime;
	
	private String subtype; //1为CAP短信接口，2为自有短信接口
	
	private String invokeToken; //短信订购调接口凭证

	private String activitycode;//活动编码


	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getNeedRoute() {
		return needRoute;
	}

	public void setNeedRoute(String needRoute) {
		this.needRoute = needRoute;
	}

	public String getInvokeToken() {
		return invokeToken;
	}

	public void setInvokeToken(String invokeToken) {
		this.invokeToken = invokeToken;
	}

	public String getSubtype() {
		return subtype;
	}

	public void setSubtype(String subtype) {
		this.subtype = subtype;
	}

	public String getOpertime() {
		return opertime;
	}

	public void setOpertime(String opertime) {
		this.opertime = opertime;
	}


	@Override
	public String toString() {
		return "OrderInfo{" +
				"cpid='" + cpid + '\'' +
				", spid='" + spid + '\'' +
				", orderid='" + orderid + '\'' +
				", reorderid='" + reorderid + '\'' +
				", channel='" + channel + '\'' +
				", type='" + type + '\'' +
				", timestamp='" + timestamp + '\'' +
				", userid='" + userid + '\'' +
				", signature='" + signature + '\'' +
				", token='" + token + '\'' +
				", access='" + access + '\'' +
				", activetype='" + activetype + '\'' +
				", usertype='" + usertype + '\'' +
				", userval='" + userval + '\'' +
				", seqnumber='" + seqnumber + '\'' +
				", status='" + status + '\'' +
				", ordertime='" + ordertime + '\'' +
				", endtime='" + endtime + '\'' +
				", enuserid='" + enuserid + '\'' +
				", province='" + province + '\'' +
				", area='" + area + '\'' +
				", mutex='" + mutex + '\'' +
				", city='" + city + '\'' +
				", data=" + data +
				", needRoute='" + needRoute + '\'' +
				", id='" + id + '\'' +
				", canceltime='" + canceltime + '\'' +
				", effecttime='" + effecttime + '\'' +
				", orderchannel='" + orderchannel + '\'' +
				", cancelchannel='" + cancelchannel + '\'' +
				", ordertype=" + ordertype +
				", orderstatus='" + orderstatus + '\'' +
				", videoid='" + videoid + '\'' +
				", videoname='" + videoname + '\'' +
				", apptype='" + apptype + '\'' +
				", isexperience=" + isexperience +
				", productid='" + productid + '\'' +
				", showstatus='" + showstatus + '\'' +
				", payuserid='" + payuserid + '\'' +
				", canadd=" + canadd +
				", paytype=" + paytype +
				", relationSp='" + relationSp + '\'' +
				", cachesucceed=" + cachesucceed +
				", errorhandle=" + errorhandle +
				", times='" + times + '\'' +
				", subchannel='" + subchannel + '\'' +
				", invokeface='" + invokeface + '\'' +
				", verifymonth='" + verifymonth + '\'' +
				", verifyres='" + verifyres + '\'' +
				", smsdata='" + smsdata + '\'' +
				", imgdata='" + imgdata + '\'' +
				", vcode='" + vcode + '\'' +
				", opertime='" + opertime + '\'' +
				", subtype='" + subtype + '\'' +
				", invokeToken='" + invokeToken + '\'' +
				", activitycode='" + activitycode + '\'' +
				'}';
	}

	public String getVcode() {
        return vcode;
    }

    public void setVcode(String vcode) {
        this.vcode = vcode;
    }

    public String getInvokeface() {
		return invokeface;
	}
	public void setInvokeface(String invokeface) {
		this.invokeface = invokeface;
	}
	public String getSubchannel() {
		return subchannel;
	}
	public void setSubchannel(String subchannel) {
		this.subchannel = subchannel;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getCanceltime() {
		return canceltime;
	}
	public void setCanceltime(String canceltime) {
		this.canceltime = canceltime;
	}
	public String getEffecttime() {
		return effecttime;
	}
	public void setEffecttime(String effecttime) {
		this.effecttime = effecttime;
	}
	public String getOrderchannel() {
		return orderchannel;
	}
	public void setOrderchannel(String orderchannel) {
		this.orderchannel = orderchannel;
	}
	public String getCancelchannel() {
		return cancelchannel;
	}
	public void setCancelchannel(String cancelchannel) {
		this.cancelchannel = cancelchannel;
	}
	public int getOrdertype() {
		return ordertype;
	}
	public void setOrdertype(int ordertype) {
		this.ordertype = ordertype;
	}
	public String getOrderstatus() {
		return orderstatus;
	}
	public void setOrderstatus(String orderstatus) {
		this.orderstatus = orderstatus;
	}
	public String getVideoid() {
		return videoid;
	}
	public void setVideoid(String videoid) {
		this.videoid = videoid;
	}
	public String getVideoname() {
		return videoname;
	}
	public void setVideoname(String videoname) {
		this.videoname = videoname;
	}
	public String getApptype() {
		return apptype;
	}
	public void setApptype(String apptype) {
		this.apptype = apptype;
	}
	public int getIsexperience() {
		return isexperience;
	}
	public void setIsexperience(int isexperience) {
		this.isexperience = isexperience;
	}
	public String getProductid() {
		return productid;
	}
	public void setProductid(String productid) {
		this.productid = productid;
	}
	public String getShowstatus() {
		return showstatus;
	}
	public void setShowstatus(String showstatus) {
		this.showstatus = showstatus;
	}
	public String getPayuserid() {
		return payuserid;
	}
	public void setPayuserid(String payuserid) {
		this.payuserid = payuserid;
	}
    public boolean isCanadd() {
		return canadd;
	}
	public void setCanadd(boolean canadd) {
		this.canadd = canadd;
	}
	public int getPaytype() {
		return paytype;
	}
	public void setPaytype(int paytype) {
		this.paytype = paytype;
	}
	public String getRelationSp() {
		return relationSp;
	}
	public void setRelationSp(String relationSp) {
		this.relationSp = relationSp;
	}
	public int getCachesucceed() {
		return cachesucceed;
	}
	public void setCachesucceed(int cachesucceed) {
		this.cachesucceed = cachesucceed;
	}
	public int getErrorhandle() {
		return errorhandle;
	}
	public void setErrorhandle(int errorhandle) {
		this.errorhandle = errorhandle;
	}
	public String getTimes() {
		return times;
	}
	public void setTimes(String times) {
		this.times = times;
	}
	
	
	public Object getData() {
		return data;
	}
	public void setData(Object data) {
		this.data = data;
	}
	public String getReorderid() {
		return reorderid;
	}
	public void setReorderid(String reorderid) {
		this.reorderid = reorderid;
	}
	public String getMutex() {
		return mutex;
	}
	public void setMutex(String mutex) {
		this.mutex = mutex;
	}
	public String getProvince() {
		return province;
	}
	public void setProvince(String province) {
		this.province = province;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public String getEnuserid() {
		return enuserid;
	}
	public void setEnuserid(String enuserid) {
		this.enuserid = enuserid;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getOrdertime() {
		return ordertime;
	}
	public void setOrdertime(String ordertime) {
		this.ordertime = ordertime;
	}
	public String getEndtime() {
		return endtime;
	}
	public void setEndtime(String endtime) {
		this.endtime = endtime;
	}

	
	public String getActivetype() {
		return activetype;
	}
	public void setActivetype(String activetype) {
		this.activetype = activetype;
	}
	public String getUsertype() {
		return usertype;
	}
	public void setUsertype(String usertype) {
		this.usertype = usertype;
	}
	public String getUserval() {
		return userval;
	}
	public void setUserval(String userval) {
		this.userval = userval;
	}

	public String getSeqnumber() {
		return seqnumber;
	}
	public void setSeqnumber(String seqnumber) {
		this.seqnumber = seqnumber;
	}
	public String getCpid() {
		return cpid;
	}
	public void setCpid(String cpid) {
		this.cpid = cpid;
	}
	public String getSpid() {
		return spid;
	}
	public void setSpid(String spid) {
		this.spid = spid;
	}
	public String getOrderid() {
		return orderid;
	}
	public void setOrderid(String orderid) {
		this.orderid = orderid;
	}
	public String getChannel() {
		return channel;
	}
	public void setChannel(String channel) {
		this.channel = channel;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}
	public String getUserid() {
		return userid;
	}
	public void setUserid(String userid) {
		this.userid = userid;
	}
	public String getSignature() {
		return signature;
	}
	public void setSignature(String signature) {
		this.signature = signature;
	}
	public String getToken() {
		return token;
	}
	public void setToken(String token) {
		this.token = token;
	}
	public String getAccess() {
		return access;
	}
	public void setAccess(String access) {
		this.access = access;
	}

	public String getVerifymonth() {
		return verifymonth;
	}

	public void setVerifymonth(String verifymonth) {
		this.verifymonth = verifymonth;
	}

	public String getVerifyres() {
		return verifyres;
	}

	public void setVerifyres(String verifyres) {
		this.verifyres = verifyres;
	}

	public String getSmsdata() {
		return smsdata;
	}

	public void setSmsdata(String smsdata) {
		this.smsdata = smsdata;
	}

	public String getImgdata() {
		return imgdata;
	}

	public void setImgdata(String imgdata) {
		this.imgdata = imgdata;
	}

	public String getActivitycode() {
		return activitycode;
	}

	public void setActivitycode(String activitycode) {
		this.activitycode = activitycode;
	}
}
